<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>升级浏览器</title>
  <style type="text/css">
      body{ font-size:12px; font-family:"微软雅黑","宋体"; background: #F2F2F2; font-style:normal;}
      .update{ border-bottom:1px solid #d7d7d7; color:#fea254; text-align:center; width:100%; font-size:10px; height:30px; background:#fdffd9; padding:2px 0;z-index:1000;}
      a.green_btn{ padding:2px 10px; background:#3caf3f; font-size:12px;color:#fff;-moz-border-radius:2px;  -webkit-border-radius:2px;  border-radius:2px;}
      a:hover.green_btn{ background:#289c2b;}
      a.update_close_btn{ background:url(images/floatbox/img_floatbox.png) -20px -35px no-repeat; display:block; width:16px; height:16px;  float:right; margin:7px 5px 0 0;}
      a:hover.update_close_btn{ background:url(images/floatbox/img_floatbox.png) -20px -63px no-repeat;}
  </style>
  <script type="text/javascript" src="/javascripts/jquery.min.js"></script>
  <script type="text/javascript">
      //升级提示关闭
      function close_window(){
          $('#light').slideUp(400);
          cookiesave('closeStatue','true','','','');
      }

      function cookiesave(n, v, mins, dn, path)
      {
          if(n)
          {

              if(!mins) mins = 24 * 60;
              if(!path) path = "/";
              var date = new Date();

              date.setTime(date.getTime() + (mins * 60 * 1000));

              var expires = "; expires=" + date.toGMTString();

              if(dn) dn = "domain=" + dn + "; ";
              document.cookie = n + "=" + v + expires + "; " + dn + "path=" + path;

          }
      }
      function cookieget(n)
      {
          var name = n + "=";
          var ca = document.cookie.split(';');
          for(var i=0;i<ca.length;i++) {
              var c = ca[i];
              while (c.charAt(0)==' ') c = c.substring(1,c.length);
              if (c.indexOf(name) == 0){
                  return c.substring(name.length,c.length);}

          }
          return false;
      }

      $(document).ready(function(){
          var closeStatue = false;
          var u = window.navigator.userAgent.toLocaleLowerCase(),
                  msie = /(msie) ([\d.]+)/,
                  chrome = /(chrome)\/([\d.]+)/,
                  firefox = /(firefox)\/([\d.]+)/,
                  safari = /(safari)\/([\d.]+)/,
                  opera = /(opera)\/([\d.]+)/,
                  ie11 = /(trident)\/([\d.]+)/,
                  b = u.match(msie)||u.match(chrome)||u.match(firefox)||u.match(safari)||u.match(opera)||u.match(ie11);
          var browser = b[1];
          var version = parseInt(b[2]);
          if (b == null) {
              return { browser : "", version : "0" };
          }
          //test firefox
          if (browser == "firefox"&& cookieget('closeStatue') == false) {
              /* $("#update_info").html("您当前使用的是"+browser+"浏览器。"+"主版本号为："+version); */
              cookiesave('closeStatue','true','','','');
          }
          if (browser == "msie" && version<= 8 && cookieget('closeStatue') == false) {
              cookiesave('closeStatue','false','','','');

           }
          // test IE11
          if (browser == "trident" && version<= 7 && cookieget('closeStatue') == false) {
              /* return true; */
              cookiesave('closeStatue','true','','','');
          }
          if( cookieget('closeStatue') == 'false' )
          {
              $("#update_info").append("<div class='update' id='light'><span style='font-size: 14px;line-height:2.2;' id='browser_info'>您当前使用的是IE8浏览器或IE低版本浏览器，建议升级您的浏览器。</span><a href='#' onClick='close_window();' class='update_close_btn' ></a><div class='cl'></div></div>");
          }
      })
  </script>
</head>

<body>
<div id="update_info"></div>
</body>
</html>
